package RegLocation.Lib;
import java.io.*;

public class Request implements  Serializable
{
    public double MarkX;
    public double MarkY;
    public double R;
    public int MarkHashCode;

    public Request(Mark mark,double R)
    {
        float[] coords = mark.getCoord();
        MarkX = coords[0];
        MarkY = coords[1];
        MarkHashCode = mark.hashCode();
        this.R = R;
    }

    public Request(double X,double Y, int Hash,double R)
    {
        this.MarkX = X;
        this.MarkY = Y;
        this.MarkHashCode = Hash;
        this.R = R;
    }

    public static Request toRequest(InputStream BytesStream)
    {
        Request ret = null;
        try
        {
            ObjectInputStream deserializer = new ObjectInputStream(BytesStream);
            ret = (Request) deserializer.readObject();
        }
        catch (IOException ex)
        {
            return null;
            //ex.printStackTrace();
        }
        catch (ClassNotFoundException ex)
        {
            ex.printStackTrace();
        }
        return ret;
    }

    public void getBytesStream(OutputStream myStream) throws IOException
    {
            ObjectOutputStream serializer = new ObjectOutputStream(myStream);
            serializer.writeObject(this);

        return;
    }
}
