<?php
    require_once('solver.php');
    require_once('MyHtmlGen.php');
    
    function inputValidation($x_pos, $y_pos, $radius)
    {
        $ret = true;
        

        if($x_pos < -3 || $x_pos > 5 || !is_numeric($x_pos) || !filter_var($x_pos, FILTER_VALIDATE_FLOAT))
            $ret = false;
        if($y_pos < -3 || $y_pos > 3 || !is_numeric($y_pos) || !filter_var($y_pos, FILTER_VALIDATE_FLOAT))
            $ret = false;
        if($radius < 1 || $radius > 4 || !is_numeric($radius) || !filter_var($radius, FILTER_VALIDATE_FLOAT))
            $ret = false;

        return $ret;
    }

    $x_pos = $_GET['x_value'];
    $y_pos = $_GET['y_value'];
    $radius = $_GET['r_value'];

    $isValid = inputValidation($x_pos, $y_pos, $radius);
    if($isValid)
    {
        $res = Solver::isInRegion($x_pos, $y_pos, $radius);

        header("Content-Type: text/html; charset=utf-8;");

        $res_str = "";
        if($res == false)
            $res_str = "Точка не находится в области";
        else
            $res_str = "Точка находится в области";

        $res_str = $res_str."<br /> Точка (".$x_pos.",".$y_pos.")";
        $res_str = $res_str."<br /> Радиус ".$radius;

        print MyHtmlGen::genHtml($res_str); 
    }
    else
    {
        $reason = "Bad input";
        print MyHtmlGen::ErrorHtml($reason);
    }
?>
