<?php
    class Solver
    {
        public static function isInRegion($x_pos, $y_pos, $radius)
        {
            $result = false;
            if($x_pos <= 0)
            {
                if($y_pos >= 0)
                    $result = Solver::SecondQuarter($x_pos, $y_pos, $radius);    
            }
            else
            {
                if($y_pos <= 0)
                   $result = Solver::FourthQuarter($x_pos, $y_pos, $radius); 
                else
                    $result = Solver::FirstQuarter($x_pos, $y_pos, $radius);
            }

            return $result;
        }

        static function FirstQuarter($x_pos, $y_pos, $radius)
        {
           $result = false;
           if(y_pos < (-2*$x_pos + 1))
               $result = true;

           return $result;
        }

        static function SecondQuarter($x_pos, $y_pos, $radius)
        {
            $result = false;
            $HalfR = $radius/2;

            if( $x_pos > -$HalfR  && $y_pos < $radius )
                $result = true;

            return $result;
        }

        static function FourthQuarter($x_pos, $y_pos, $radius)
        {
            $result = false;
            
            if(pow($x_pos,2)+pow($y_pos,2) < pow($radius,2))
                $result = true;

            return $result;        
        }
    }
?>
