package Servlets;


import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.net.URISyntaxException;


public class WebFormServlet extends HttpServlet
{
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html");
        resp.setCharacterEncoding("utf-8");

        try
        {
           /* byte [] html = Files.readAllBytes(Paths.get(this.getClass().getResource("/templates/FormTemplate.html").toURI()));
            resp.getOutputStream().write(html);*/
            FileInputStream f_in = new FileInputStream(this.getClass().getResource("/templates/FormTemplate.html").getFile());
            OutputStream serv_out = resp.getOutputStream();

            int c;
            while((c = f_in.read()) != -1)
                serv_out.write(c);

            serv_out.flush();
        }
        catch (IOException ex)
        {
            resp.sendError(500, "IO Exception" + ex.getLocalizedMessage());
        }
    }
}
