package MyWebApp.Beans;

import MyWebApp.Interfaces.IRequestHistory;

import javax.ejb.Remote;
import javax.ejb.Stateful;
import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import java.util.Vector;


@Stateful
@Remote(MyWebApp.Interfaces.IRequestHistory.class)
public class RequestHistoryBean implements IRequestHistory {

    Vector<HistoryEntry> history = new Vector<HistoryEntry>();

    @PostConstruct
    public void init()
    {
        history = new Vector<HistoryEntry>();
    }


    @Override
    public void addEntry(float x, float y, float R, boolean result)
    {
        history.add(new HistoryEntry(x,y,R, result));
    }

    @Override
    public HistoryEntry[] getAllHistory()
    {
        return history.toArray(new HistoryEntry[history.size()]);
    }
}
