<!DOCTYPE html>
<html>
<head>
    <title>Form Page</title>
    <meta charset="utf-8">
    <style type="text/css">
        #radiuses {
        position:relative;
        left: 20px;
        }
        #history
        {
            border: 1 px;
        }
        ul.radio
        {
            list-style: none;
        }

        #controls
        {
            position:absolute;
            right: 50%;
            top: 10px
        }
    </style>

    <script language="JavaScript" type="text/javascript" src="scripts/Form.js" ></script>
</head>
<body >
<%! String historyString = null; %>
<%@ page import="javax.naming.InitialContext, MyWebApp.Interfaces.IRequestHistory, MyWebApp.Beans.HistoryEntry" pageEncoding="utf-8" %>

<%

        IRequestHistory history = (IRequestHistory)request.getSession().getAttribute("HistoryBean");

        if(history == null)
        {
            InitialContext ic = new InitialContext();
            history = (IRequestHistory)ic.lookup("java:global/Lab8/RequestHistoryBean");
            request.getSession().setAttribute("HistoryBean",history);
            out.println("Created!");
        }

        HistoryEntry[] records = history.getAllHistory();
        StringBuilder build_string = new StringBuilder();


        for(HistoryEntry item : records)
        {
            build_string.append("<tr>");
            build_string.append(item.toTableLine());
            build_string.append("</tr>");
        }

        historyString = build_string.toString();

%>

<header>
    Широков О.И. гр. 2120 вариант 21236
</header>

<form id="main_form" action="/Lab8/controller" method="post" onsubmit="return checkData();"/>
<input type="hidden" value="1" name="isRFA">

<img src="resources/areas.png" onclick="imgClickHandler(event)"/>
<br>

<span id="controls">
    Введите X <input type="text" name="x_pos" id="x_pos"/> <br>
    Выберите значение Y
    <ul class="radio">
        <li><input type="radio" name="y_pos" value="-2" form="main_form" />-2</li>
        <li><input type="radio" name="y_pos" value="-1.5" form="main_form" />-1.5</li>
        <li><input type="radio" name="y_pos" value="-1" form="main_form" />-1</li>
        <li><input type="radio" name="y_pos" value="-0.5" form="main_form" />-0.5</li>
        <li><input type="radio" name="y_pos" value="0" form="main_form" />0</li>
        <li><input type="radio" name="y_pos" value="0.5" form="main_form" />0.5</li>
        <li><input type="radio" name="y_pos" value="1" form="main_form" />1</li>
        <li><input type="radio" name="y_pos" value="1.5" form="main_form" />1.5</li>
        <li><input type="radio" name="y_pos" value="2" form="main_form" />2</li>
    </ul>

    Введите значение R
    <ul class="radio">
        <li><input type="radio" name="radius" value="1" form="main_form" />1</li>
        <li><input type="radio" name="radius" value="2" form="main_form" />2</li>
        <li><input type="radio" name="radius" value="3" form="main_form" />3</li>
        <li><input type="radio" name="radius" value="4" form="main_form" />4</li>
        <li><input type="radio" name="radius" value="5" form="main_form" />5</li>
    </ul>
    <input type="submit" value="Отправить" form="main_form" />
</span>

Координаты точки
<br>
X:
<input type="text" readonly="true" size="5" id="xVal">
Y:
<input type="text"  readonly="true" size="5" id="yVal">
<br>
История предыдущих запросов
<table id="history">
    <tr>
       <td>Результат</td>
       <td>Координаты</td>
       <td>Радиус</td>
    </tr>
    <%= historyString %>
</table>
</body>
</html>
