package MyWebApp.Beans;

import javax.annotation.PostConstruct;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedProperty;
import java.io.Serializable;

@ManagedBean(name="ControllerBean",eager = true)
@ApplicationScoped
public class ControllerBean implements Serializable
{
    @ManagedProperty(value="#{HistoryBean}")
    private HistoryBean history;
    @ManagedProperty(value="#{AreaBean}")
    private AreaBean    area;
   /* @ManagedProperty(value="#{ViewBean}")
    private ViewBean view;
*/

    @PostConstruct
    public void init()
    {
        setCurrentR(3f);
    }
/*
    public void setView(ViewBean view) {
        this.view = view;
    }*/

    private float currentR;

    public void setHistory(HistoryBean history)
    {
        this.history = history;
    }

    public void setArea(AreaBean area) {
        this.area = area;
    }

    private float currentY;
    private float currentX;


    public float getCurrentR() {
        return currentR;
    }
    public float getCurrentY() {
        return currentY;
    }
    public float getCurrentX() {
        return currentX;
    }

    public void setCurrentR(float currentR) {
        this.currentR = currentR;
    }

    public void setCurrentY(float currentY) {
        this.currentY = currentY;
    }

    public void setCurrentX(float currentX) {
        this.currentX = currentX;
    }

    public void checkAndSubmit()
    {
        HistoryItem item = area.solve(currentX/10, currentY, currentR);
        if(item != null)
            history.addItem(item);
    }
}
